/*
 * 作成日: 2007/11/19
 */
package asandatabasebrowser;

import java.applet.Applet;
import java.awt.Font;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.border.EmptyBorder;

import asandatabasebrowser.view.SqlEditor;
import blanco.commons.sql.format.BlancoSqlRule;

/**
 * SQLエディタをアプレットで動かしてみる。
 * @deprecated		未完成
 * @author Asan
 */
public class SqlEditorApplet extends Applet {
	public void init() {
		// スッキリとしたフォントにする。
		//System.setProperty("swing.plaf.metal.controlFont", "Dialog-12");
    	JFrame frame = new JFrame("SQL Editor");
    	BlancoSqlRule rule = new BlancoSqlRule();
    	String sql = 
    		"-- ここにSQLを書いてくださいな\n" +
    		"-- UPDATE テーブル名 SET カラム名1 = 値1 {, カラム名2 = 値2 } [ WHERE 条件 ]\n"+
    		"-- INSERT INTO テーブル名 [ ( カラム名1, ... ) ] VALUES ( 値1, ...)\n"+
    		"-- DELETE FROM テーブル名 [ WHERE 条件 ]\n"+
    		"SELECT col1,col2,col3,col4,col5,col6,col7,col8,MAX(col1) AS maxcol1 "+
    		"FROM table1 t1,table2 t2 WHERE t1.col1=t2.col2 OR col1>3 OR col2<5 "+
    		"ORDER BY col1 DESC";    		
    	Font font = new Font("Monospaced", Font.PLAIN, 12);
    	SqlEditor editor = new SqlEditor(sql, rule, font);
    	editor.setBorder(new EmptyBorder(5, 10, 0, 0));
    	frame.getContentPane().add(new JScrollPane(editor));
    	//frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    	frame.setSize(640, 800);
    	frame.setVisible(true);
	}
}
